libzypp 17.37.10

zypp::packagedelta::DeltaRpm::BaseVersion Class Reference

`#include <zypp/repo/PackageDelta.h>`

## Public Member Functions
| BaseVersion ()
const Edition & | edition () const
const std::string & | sequenceinfo () const
BaseVersion & | setEdition (const Edition &val_r)
BaseVersion & | setSequenceinfo (const std::string &val_r)

## Private Attributes
Edition | _edition
std::string | _sequenceinfo

## Detailed Description

Definition at line 38 of file PackageDelta.h.

## Constructor & Destructor Documentation

## ◆ BaseVersion()

zypp::packagedelta::DeltaRpm::BaseVersion::BaseVersion | ( |  | ) |
| inline

Definition at line 41 of file PackageDelta.h.

## Member Function Documentation

## ◆ edition()

const Edition & zypp::packagedelta::DeltaRpm::BaseVersion::edition | ( |  | ) | const
| inline

Definition at line 45 of file PackageDelta.h.

## ◆ sequenceinfo()

const std::string & zypp::packagedelta::DeltaRpm::BaseVersion::sequenceinfo | ( |  | ) | const
| inline

Definition at line 46 of file PackageDelta.h.

## ◆ setEdition()

BaseVersion & zypp::packagedelta::DeltaRpm::BaseVersion::setEdition | ( | const Edition & | val_r | ) |
| inline

Definition at line 49 of file PackageDelta.h.

## ◆ setSequenceinfo()

BaseVersion & zypp::packagedelta::DeltaRpm::BaseVersion::setSequenceinfo | ( | const std::string & | val_r | ) |
| inline

Definition at line 50 of file PackageDelta.h.

## Member Data Documentation

## ◆ _edition

Edition zypp::packagedelta::DeltaRpm::BaseVersion::_edition
| private

Definition at line 53 of file PackageDelta.h.

## ◆ _sequenceinfo

std::string zypp::packagedelta::DeltaRpm::BaseVersion::_sequenceinfo
| private

Definition at line 54 of file PackageDelta.h.

The documentation for this class was generated from the following file:

- zypp/repo/PackageDelta.h